<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number92</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.92:</b> Write a JavaScript program to find the maximum difference between any two adjacent elements of a given array of integers.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Number of Array`s Element" style="width: 180px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
		<pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var max = -1;
          var temp;
		  var arr = [];
		  var num = + document.getElementById('num1').value;
		  if(num > 0){
			  for(i=0 ; i<num ; i++){
				  arr.push(prompt("Enter Array Element Number" + (i+1)));
				  arr.map(Number);
			  }
	        for (var i = 0; i < arr.length - 1; i++) {
	        	    temp = Math.abs(arr[i] - arr[i + 1]);
     	        	max = Math.max(max, temp);
	  } document.getElementById('demo').innerHTML=
		  "The Array is:<br>[ " + arr.join(' , ') + " ]<br>" +
		  "The Result is: " + max ;
	  } 
	  }
	</script>
</body>
</html>
